
Redmine - Feature #13512

Add a way to make specific issues visible to a user

2013-03-18 19:16 - Kyle Leber

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Administration Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate   

Description

I have a role defined with issue visibility set to "Issues created by or assigned to the user".  It would be great if I can make a certain

issue visible to that user by adding them as a watcher.  As it is, they can't see any pre-created issue without me assigning it to them.

Related issues:

Related to Redmine - Feature #13511: Add a way to restrict access to the "Act... Closed

Related to Redmine - Feature #12666: Involvement boolean for Custom Field 'Us... New

Related to Redmine - Defect #22977: A project member has no access and gets n... New

Is duplicate of Redmine - Feature #8488: Create an 'Involve' mechanism to pri... New

History

#1 - 2013-03-18 19:17 - Kyle Leber

Sorry, forgot this:

Environment:

Redmine version                          2.0.3.stable

Ruby version                             1.8.7 (x86_64-linux)

Rails version                            3.2.6

Environment                              production

Database adapter                         MySQL

Redmine plugins:

redmine_mylyn_connector                  2.8.2.stable

#2 - 2013-03-18 19:26 - Daniel Felix

Maybe there could be a new permission? But I'm not sure.

A better way would be to give the user the ability to set a special user who has certain permissions?

#3 - 2013-03-19 21:56 - Anonymous

I think this is essentially the same as #8488. Though that issue was looking to extend visibility for private issues, in practice we're talking about the

same action--a new kind of involvement in addition to author/assignee.

It also somewhat relates to one of my own feature requests (selfplug+10!), #12666, for this to be part of configuring the user-type custom field.

Specifically, an optional check box when setting up a custom field that, when checked, means the user(s) selected in the list are involved in the issue.

Permissions don't really need to be any more complex than existing workflow tools.

#4 - 2015-09-24 10:34 - Alexis Parent

+1

#5 - 2015-10-28 17:21 - Pavel Konstantinov

+1 required for me too

#7 - 2016-07-12 16:17 - Toshi MARUYAMA

- Related to Defect #22977: A project member has no access and gets no notification, when being a watcher of the issue added

#8 - 2020-04-20 16:30 - Marius BĂLTEANU

- Related to deleted (Feature #8488: Create an 'Involve' mechanism to private issues)
#9 - 2020-04-20 16:30 - Marius BĂLTEANU

- Is duplicate of Feature #8488: Create an 'Involve' mechanism to private issues added

#10 - 2020-04-20 16:45 - Marius BĂLTEANU

- Status changed from New to Closed

- Resolution set to Duplicate

Closing this as duplicate of #8488 where we can track a method to achieve this without using the existing watchers functionality because according to

Jean-Phillippe Lang's comment from #7412#note-13:

watchers were designed for notification purpose only. A user who unwatches a private issue would lost access to it. It may be quite confusing for

many users.
